View Issue Details

IDProjectCategoryView StatusLast Update
0027735PatchesIDEpublic2015-05-26 18:51
ReporterAlexey Tor.Assigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.5 (SVN)Product Build 
Target VersionFixed in Version 
Summary0027735: Pkg Links -localize "in"; show "?" for date=0
Descriptionhttp://bugs.freepascal.org/view.php?id=27733
TagsNo tags attached.
Fixed in Revisionr49174, r49180
LazTarget-
Widgetset
Attached Files
  • dif-in.diff (1,625 bytes)
    Index: ide/lazarusidestrconsts.pas
    ===================================================================
    --- ide/lazarusidestrconsts.pas	(revision 48506)
    +++ ide/lazarusidestrconsts.pas	(working copy)
    @@ -271,6 +271,7 @@
       lisConvert = 'Convert';
       lisPLDShowGlobalLinks = 'Show global links';
       lisPLDShowUserLinks = 'Show user links';
    +  lisPLDLinksIn = 'in';
       lrsPLDLpkFileValid = 'lpk file valid (%s)';
       lrsPLDLpkFileInvalid = 'lpk file invalid (%s)';
       lisPLDGlobal = 'Global';
    Index: packager/pkglinksdlg.pas
    ===================================================================
    --- packager/pkglinksdlg.pas	(revision 48506)
    +++ packager/pkglinksdlg.pas	(working copy)
    @@ -395,8 +395,13 @@
           s:=lrsPLDInvalid;
         PkgStringGrid.Cells[4,i]:=s;
         PkgStringGrid.Cells[5,i]:=Link.EffectiveFilename;
    -    PkgStringGrid.Cells[6,i]:=DateTimeToStr(Link.LastUsed);
     
    +    if Link.LastUsed>0 then
    +      s:=DateTimeToStr(Link.LastUsed)
    +    else
    +      s:= '?';
    +    PkgStringGrid.Cells[6,i]:=s;
    +
         inc(i);
       end;
       
    @@ -409,10 +414,10 @@
     procedure TPackageLinksDialog.UpdateFacets;
     begin
       ShowGlobalLinksCheckBox.Caption:=lisPLDShowGlobalLinks
    -     +' in '+PkgLinks.GetGlobalLinkDirectory+'*.lpl'
    +     +' '+lisPLDLinksIn+' '+PkgLinks.GetGlobalLinkDirectory+'*.lpl'
          +' ('+IntToStr(CountGlobalLinks)+')';
       ShowUserLinksCheckBox.Caption:=lisPLDShowUserLinks
    -     +' in '+PkgLinks.GetUserLinkFile
    +     +' '+lisPLDLinksIn+' '+PkgLinks.GetUserLinkFile
          +' ('+IntToStr(CountUserLinks)+')';
       LPKFileValidCheckBox.Caption:=Format(lrsPLDLpkFileValid, [IntToStr(
         CountLPKValid)]);
    
    dif-in.diff (1,625 bytes)
  • dif.diff (7,595 bytes)
    Index: packager/pkglinksdlg.lfm
    ===================================================================
    --- packager/pkglinksdlg.lfm	(revision 48979)
    +++ packager/pkglinksdlg.lfm	(working copy)
    @@ -1,10 +1,10 @@
     object PackageLinksDialog: TPackageLinksDialog
       Left = 290
    -  Height = 451
    -  Top = 189
    +  Height = 448
    +  Top = 192
       Width = 659
       Caption = 'PackageLinksDialog'
    -  ClientHeight = 451
    +  ClientHeight = 448
       ClientWidth = 659
       OnCreate = FormCreate
       OnDestroy = FormDestroy
    @@ -11,27 +11,28 @@
       Position = poScreenCenter
       LCLVersion = '1.5'
       object ScopeGroupBox: TGroupBox
    -    Left = 0
    -    Height = 120
    -    Top = 0
    -    Width = 659
    +    Left = 6
    +    Height = 130
    +    Top = 6
    +    Width = 647
         Align = alTop
         AutoSize = True
    +    BorderSpacing.Around = 6
         Caption = 'ScopeGroupBox'
         ChildSizing.LeftRightSpacing = 6
         ChildSizing.TopBottomSpacing = 6
         ChildSizing.HorizontalSpacing = 6
         ChildSizing.VerticalSpacing = 6
    -    ClientHeight = 102
    -    ClientWidth = 655
    +    ClientHeight = 110
    +    ClientWidth = 643
         TabOrder = 0
         object ShowGlobalLinksCheckBox: TCheckBox
           AnchorSideLeft.Control = ScopeGroupBox
           AnchorSideTop.Control = ScopeGroupBox
           Left = 6
    -      Height = 17
    +      Height = 19
           Top = 6
    -      Width = 143
    +      Width = 162
           Caption = 'ShowGlobalLinksCheckBox'
           Checked = True
           OnChange = ShowGlobalLinksCheckBoxChange
    @@ -43,9 +44,9 @@
           AnchorSideTop.Control = ShowGlobalLinksCheckBox
           AnchorSideTop.Side = asrBottom
           Left = 6
    -      Height = 17
    -      Top = 29
    -      Width = 136
    +      Height = 19
    +      Top = 31
    +      Width = 151
           Caption = 'ShowUserLinksCheckBox'
           Checked = True
           OnChange = ShowUserLinksCheckBoxChange
    @@ -57,9 +58,9 @@
           AnchorSideTop.Control = ShowUserLinksCheckBox
           AnchorSideTop.Side = asrBottom
           Left = 6
    -      Height = 17
    -      Top = 52
    -      Width = 120
    +      Height = 19
    +      Top = 56
    +      Width = 136
           Caption = 'LPKFileValidCheckBox'
           Checked = True
           OnChange = LPKFileValidCheckBoxChange
    @@ -71,10 +72,10 @@
           AnchorSideLeft.Side = asrBottom
           AnchorSideTop.Control = LPKFileValidCheckBox
           AnchorSideTop.Side = asrCenter
    -      Left = 141
    -      Height = 17
    -      Top = 52
    -      Width = 130
    +      Left = 157
    +      Height = 19
    +      Top = 56
    +      Width = 145
           BorderSpacing.Left = 15
           Caption = 'LPKFileInvalidCheckBox'
           Checked = True
    @@ -89,25 +90,23 @@
           AnchorSideRight.Control = ScopeGroupBox
           AnchorSideRight.Side = asrBottom
           Left = 6
    -      Height = 21
    -      Top = 75
    -      Width = 643
    +      Height = 23
    +      Top = 81
    +      Width = 631
           Anchors = [akTop, akLeft, akRight]
           OnChange = FilterEditChange
    -      OnEnter = FilterEditEnter
    -      OnExit = FilterEditExit
           TabOrder = 4
    -      Text = 'FilterEdit'
         end
       end
       object PkgStringGrid: TStringGrid
         AnchorSideBottom.Control = BtnPanel
    -    Left = 0
    -    Height = 291
    -    Top = 120
    -    Width = 659
    +    Left = 6
    +    Height = 262
    +    Top = 142
    +    Width = 647
         Align = alTop
         Anchors = [akTop, akLeft, akRight, akBottom]
    +    BorderSpacing.Around = 6
         ColCount = 7
         ColumnClickSorts = True
         Columns = <    
    @@ -139,18 +138,19 @@
             Title.Caption = 'Last Opened'
           end>
         FixedCols = 0
    -    Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRangeSelect, goColSizing, goEditing, goTabs, goColSpanning, goDblClickAutoSize, goSmoothScroll]
    +    Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRangeSelect, goColSizing, goEditing, goTabs, goThumbTracking, goColSpanning, goDblClickAutoSize, goSmoothScroll]
         PopupMenu = GridPopupMenu
         TabOrder = 1
       end
       object BtnPanel: TPanel
         Left = 0
    -    Height = 40
    -    Top = 411
    +    Height = 38
    +    Top = 410
         Width = 659
         Align = alBottom
         AutoSize = True
    -    ClientHeight = 40
    +    BevelOuter = bvNone
    +    ClientHeight = 38
         ClientWidth = 659
         TabOrder = 2
         object CloseBitBtn: TBitBtn
    @@ -159,10 +159,10 @@
           AnchorSideRight.Side = asrBottom
           AnchorSideBottom.Control = BtnPanel
           AnchorSideBottom.Side = asrBottom
    -      Left = 580
    +      Left = 578
           Height = 26
    -      Top = 7
    -      Width = 72
    +      Top = 6
    +      Width = 75
           Anchors = [akRight, akBottom]
           AutoSize = True
           BorderSpacing.Around = 6
    @@ -178,10 +178,10 @@
           AnchorSideLeft.Side = asrBottom
           AnchorSideTop.Control = CloseBitBtn
           AnchorSideTop.Side = asrCenter
    -      Left = 143
    -      Height = 23
    -      Top = 9
    -      Width = 145
    +      Left = 151
    +      Height = 25
    +      Top = 7
    +      Width = 161
           AutoSize = True
           BorderSpacing.Around = 6
           Caption = 'UpdateGlobalLinksButton'
    @@ -192,10 +192,10 @@
           AnchorSideLeft.Control = BtnPanel
           AnchorSideTop.Control = CloseBitBtn
           AnchorSideTop.Side = asrCenter
    -      Left = 7
    -      Height = 23
    -      Top = 9
    -      Width = 130
    +      Left = 6
    +      Height = 25
    +      Top = 7
    +      Width = 139
           AutoSize = True
           BorderSpacing.Around = 6
           Caption = 'DeleteSelectedButton'
    @@ -204,11 +204,12 @@
         end
       end
       object ProgressBar1: TProgressBar
    -    Left = 0
    +    Left = 6
         Height = 20
    -    Top = 391
    -    Width = 659
    +    Top = 387
    +    Width = 647
         Align = alBottom
    +    BorderSpacing.Around = 6
         TabOrder = 3
       end
       object LPKParsingTimer: TTimer
    Index: packager/pkglinksdlg.pas
    ===================================================================
    --- packager/pkglinksdlg.pas	(revision 48979)
    +++ packager/pkglinksdlg.pas	(working copy)
    @@ -84,8 +84,6 @@
         procedure CopyCellToClipboardMenuItemClick(Sender: TObject);
         procedure DeleteSelectedButtonClick(Sender: TObject);
         procedure FilterEditChange(Sender: TObject);
    -    procedure FilterEditEnter(Sender: TObject);
    -    procedure FilterEditExit(Sender: TObject);
         procedure FormCreate(Sender: TObject);
         procedure FormDestroy(Sender: TObject);
         procedure LPKFileValidCheckBoxChange(Sender: TObject);
    @@ -145,7 +143,7 @@
       DeleteSelectedButton.Caption:=lrsPLDDeleteSelected;
       UpdateGlobalLinksButton.Caption:=lrsRescanLplFiles;
       CloseBitBtn.Caption:=lisClose;
    -  FilterEdit.Text:=lisCEFilter;
    +  FilterEdit.TextHint:=lisCEFilter;
     
       ProgressBar1.Style:=pbstMarquee;
       ProgressBar1.Visible:=true;
    @@ -194,18 +192,6 @@
       PkgLinks.SaveUserLinks;
     end;
     
    -procedure TPackageLinksDialog.FilterEditEnter(Sender: TObject);
    -begin
    -  if FilterEdit.Text=lisCEFilter then
    -    FilterEdit.Text:='';
    -end;
    -
    -procedure TPackageLinksDialog.FilterEditExit(Sender: TObject);
    -begin
    -  if FilterEdit.Text='' then
    -    FilterEdit.Text:=lisCEFilter;
    -end;
    -
     procedure TPackageLinksDialog.FormDestroy(Sender: TObject);
     begin
       LPKInfoCache.EndLPKReader;
    @@ -306,7 +292,6 @@
         FCountUserLinks:=0;
         Node:=FLinks.FindLowest;
         FilterCase:=FilterEdit.Text;
    -    if FilterCase=lisCEFilter then FilterCase:='';
         FilterLo:=UTF8LowerCase(FilterCase);
         while Node<>nil do begin
           Link:=TPkgLinkInfo(Node.Data);
    @@ -389,8 +374,12 @@
           s:=lrsPLDInvalid;
         PkgStringGrid.Cells[4,i]:=s;
         PkgStringGrid.Cells[5,i]:=Link.EffectiveFilename;
    -    PkgStringGrid.Cells[6,i]:=DateTimeToStr(Link.LastUsed);
     
    +    if Link.LastUsed=0 then
    +      PkgStringGrid.Cells[6,i]:= '?'
    +    else
    +      PkgStringGrid.Cells[6,i]:= DateTimeToStr(Link.LastUsed);
    +
         inc(i);
       end;
       
    
    dif.diff (7,595 bytes)

Relationships

related to 0027652 closedMaxim Ganetsky Lazarus Trivial/ Ru text 
has duplicate 0027733 closedMattias Gaertner Lazarus Better show "?" instead of "xx.xx.1899" date 

Activities

Alexey Tor.

2015-03-26 00:05

reporter  

dif-in.diff (1,625 bytes)
Index: ide/lazarusidestrconsts.pas
===================================================================
--- ide/lazarusidestrconsts.pas	(revision 48506)
+++ ide/lazarusidestrconsts.pas	(working copy)
@@ -271,6 +271,7 @@
   lisConvert = 'Convert';
   lisPLDShowGlobalLinks = 'Show global links';
   lisPLDShowUserLinks = 'Show user links';
+  lisPLDLinksIn = 'in';
   lrsPLDLpkFileValid = 'lpk file valid (%s)';
   lrsPLDLpkFileInvalid = 'lpk file invalid (%s)';
   lisPLDGlobal = 'Global';
Index: packager/pkglinksdlg.pas
===================================================================
--- packager/pkglinksdlg.pas	(revision 48506)
+++ packager/pkglinksdlg.pas	(working copy)
@@ -395,8 +395,13 @@
       s:=lrsPLDInvalid;
     PkgStringGrid.Cells[4,i]:=s;
     PkgStringGrid.Cells[5,i]:=Link.EffectiveFilename;
-    PkgStringGrid.Cells[6,i]:=DateTimeToStr(Link.LastUsed);
 
+    if Link.LastUsed>0 then
+      s:=DateTimeToStr(Link.LastUsed)
+    else
+      s:= '?';
+    PkgStringGrid.Cells[6,i]:=s;
+
     inc(i);
   end;
   
@@ -409,10 +414,10 @@
 procedure TPackageLinksDialog.UpdateFacets;
 begin
   ShowGlobalLinksCheckBox.Caption:=lisPLDShowGlobalLinks
-     +' in '+PkgLinks.GetGlobalLinkDirectory+'*.lpl'
+     +' '+lisPLDLinksIn+' '+PkgLinks.GetGlobalLinkDirectory+'*.lpl'
      +' ('+IntToStr(CountGlobalLinks)+')';
   ShowUserLinksCheckBox.Caption:=lisPLDShowUserLinks
-     +' in '+PkgLinks.GetUserLinkFile
+     +' '+lisPLDLinksIn+' '+PkgLinks.GetUserLinkFile
      +' ('+IntToStr(CountUserLinks)+')';
   LPKFileValidCheckBox.Caption:=Format(lrsPLDLpkFileValid, [IntToStr(
     CountLPKValid)]);
dif-in.diff (1,625 bytes)

Maxim Ganetsky

2015-05-08 01:58

developer   ~0083519

Localization of Package Links dialog is improved in r48966, so only Link.LastUsed changes are relevant in this patch now.

Alexey Tor.

2015-05-10 16:59

reporter  

dif.diff (7,595 bytes)
Index: packager/pkglinksdlg.lfm
===================================================================
--- packager/pkglinksdlg.lfm	(revision 48979)
+++ packager/pkglinksdlg.lfm	(working copy)
@@ -1,10 +1,10 @@
 object PackageLinksDialog: TPackageLinksDialog
   Left = 290
-  Height = 451
-  Top = 189
+  Height = 448
+  Top = 192
   Width = 659
   Caption = 'PackageLinksDialog'
-  ClientHeight = 451
+  ClientHeight = 448
   ClientWidth = 659
   OnCreate = FormCreate
   OnDestroy = FormDestroy
@@ -11,27 +11,28 @@
   Position = poScreenCenter
   LCLVersion = '1.5'
   object ScopeGroupBox: TGroupBox
-    Left = 0
-    Height = 120
-    Top = 0
-    Width = 659
+    Left = 6
+    Height = 130
+    Top = 6
+    Width = 647
     Align = alTop
     AutoSize = True
+    BorderSpacing.Around = 6
     Caption = 'ScopeGroupBox'
     ChildSizing.LeftRightSpacing = 6
     ChildSizing.TopBottomSpacing = 6
     ChildSizing.HorizontalSpacing = 6
     ChildSizing.VerticalSpacing = 6
-    ClientHeight = 102
-    ClientWidth = 655
+    ClientHeight = 110
+    ClientWidth = 643
     TabOrder = 0
     object ShowGlobalLinksCheckBox: TCheckBox
       AnchorSideLeft.Control = ScopeGroupBox
       AnchorSideTop.Control = ScopeGroupBox
       Left = 6
-      Height = 17
+      Height = 19
       Top = 6
-      Width = 143
+      Width = 162
       Caption = 'ShowGlobalLinksCheckBox'
       Checked = True
       OnChange = ShowGlobalLinksCheckBoxChange
@@ -43,9 +44,9 @@
       AnchorSideTop.Control = ShowGlobalLinksCheckBox
       AnchorSideTop.Side = asrBottom
       Left = 6
-      Height = 17
-      Top = 29
-      Width = 136
+      Height = 19
+      Top = 31
+      Width = 151
       Caption = 'ShowUserLinksCheckBox'
       Checked = True
       OnChange = ShowUserLinksCheckBoxChange
@@ -57,9 +58,9 @@
       AnchorSideTop.Control = ShowUserLinksCheckBox
       AnchorSideTop.Side = asrBottom
       Left = 6
-      Height = 17
-      Top = 52
-      Width = 120
+      Height = 19
+      Top = 56
+      Width = 136
       Caption = 'LPKFileValidCheckBox'
       Checked = True
       OnChange = LPKFileValidCheckBoxChange
@@ -71,10 +72,10 @@
       AnchorSideLeft.Side = asrBottom
       AnchorSideTop.Control = LPKFileValidCheckBox
       AnchorSideTop.Side = asrCenter
-      Left = 141
-      Height = 17
-      Top = 52
-      Width = 130
+      Left = 157
+      Height = 19
+      Top = 56
+      Width = 145
       BorderSpacing.Left = 15
       Caption = 'LPKFileInvalidCheckBox'
       Checked = True
@@ -89,25 +90,23 @@
       AnchorSideRight.Control = ScopeGroupBox
       AnchorSideRight.Side = asrBottom
       Left = 6
-      Height = 21
-      Top = 75
-      Width = 643
+      Height = 23
+      Top = 81
+      Width = 631
       Anchors = [akTop, akLeft, akRight]
       OnChange = FilterEditChange
-      OnEnter = FilterEditEnter
-      OnExit = FilterEditExit
       TabOrder = 4
-      Text = 'FilterEdit'
     end
   end
   object PkgStringGrid: TStringGrid
     AnchorSideBottom.Control = BtnPanel
-    Left = 0
-    Height = 291
-    Top = 120
-    Width = 659
+    Left = 6
+    Height = 262
+    Top = 142
+    Width = 647
     Align = alTop
     Anchors = [akTop, akLeft, akRight, akBottom]
+    BorderSpacing.Around = 6
     ColCount = 7
     ColumnClickSorts = True
     Columns = <    
@@ -139,18 +138,19 @@
         Title.Caption = 'Last Opened'
       end>
     FixedCols = 0
-    Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRangeSelect, goColSizing, goEditing, goTabs, goColSpanning, goDblClickAutoSize, goSmoothScroll]
+    Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRangeSelect, goColSizing, goEditing, goTabs, goThumbTracking, goColSpanning, goDblClickAutoSize, goSmoothScroll]
     PopupMenu = GridPopupMenu
     TabOrder = 1
   end
   object BtnPanel: TPanel
     Left = 0
-    Height = 40
-    Top = 411
+    Height = 38
+    Top = 410
     Width = 659
     Align = alBottom
     AutoSize = True
-    ClientHeight = 40
+    BevelOuter = bvNone
+    ClientHeight = 38
     ClientWidth = 659
     TabOrder = 2
     object CloseBitBtn: TBitBtn
@@ -159,10 +159,10 @@
       AnchorSideRight.Side = asrBottom
       AnchorSideBottom.Control = BtnPanel
       AnchorSideBottom.Side = asrBottom
-      Left = 580
+      Left = 578
       Height = 26
-      Top = 7
-      Width = 72
+      Top = 6
+      Width = 75
       Anchors = [akRight, akBottom]
       AutoSize = True
       BorderSpacing.Around = 6
@@ -178,10 +178,10 @@
       AnchorSideLeft.Side = asrBottom
       AnchorSideTop.Control = CloseBitBtn
       AnchorSideTop.Side = asrCenter
-      Left = 143
-      Height = 23
-      Top = 9
-      Width = 145
+      Left = 151
+      Height = 25
+      Top = 7
+      Width = 161
       AutoSize = True
       BorderSpacing.Around = 6
       Caption = 'UpdateGlobalLinksButton'
@@ -192,10 +192,10 @@
       AnchorSideLeft.Control = BtnPanel
       AnchorSideTop.Control = CloseBitBtn
       AnchorSideTop.Side = asrCenter
-      Left = 7
-      Height = 23
-      Top = 9
-      Width = 130
+      Left = 6
+      Height = 25
+      Top = 7
+      Width = 139
       AutoSize = True
       BorderSpacing.Around = 6
       Caption = 'DeleteSelectedButton'
@@ -204,11 +204,12 @@
     end
   end
   object ProgressBar1: TProgressBar
-    Left = 0
+    Left = 6
     Height = 20
-    Top = 391
-    Width = 659
+    Top = 387
+    Width = 647
     Align = alBottom
+    BorderSpacing.Around = 6
     TabOrder = 3
   end
   object LPKParsingTimer: TTimer
Index: packager/pkglinksdlg.pas
===================================================================
--- packager/pkglinksdlg.pas	(revision 48979)
+++ packager/pkglinksdlg.pas	(working copy)
@@ -84,8 +84,6 @@
     procedure CopyCellToClipboardMenuItemClick(Sender: TObject);
     procedure DeleteSelectedButtonClick(Sender: TObject);
     procedure FilterEditChange(Sender: TObject);
-    procedure FilterEditEnter(Sender: TObject);
-    procedure FilterEditExit(Sender: TObject);
     procedure FormCreate(Sender: TObject);
     procedure FormDestroy(Sender: TObject);
     procedure LPKFileValidCheckBoxChange(Sender: TObject);
@@ -145,7 +143,7 @@
   DeleteSelectedButton.Caption:=lrsPLDDeleteSelected;
   UpdateGlobalLinksButton.Caption:=lrsRescanLplFiles;
   CloseBitBtn.Caption:=lisClose;
-  FilterEdit.Text:=lisCEFilter;
+  FilterEdit.TextHint:=lisCEFilter;
 
   ProgressBar1.Style:=pbstMarquee;
   ProgressBar1.Visible:=true;
@@ -194,18 +192,6 @@
   PkgLinks.SaveUserLinks;
 end;
 
-procedure TPackageLinksDialog.FilterEditEnter(Sender: TObject);
-begin
-  if FilterEdit.Text=lisCEFilter then
-    FilterEdit.Text:='';
-end;
-
-procedure TPackageLinksDialog.FilterEditExit(Sender: TObject);
-begin
-  if FilterEdit.Text='' then
-    FilterEdit.Text:=lisCEFilter;
-end;
-
 procedure TPackageLinksDialog.FormDestroy(Sender: TObject);
 begin
   LPKInfoCache.EndLPKReader;
@@ -306,7 +292,6 @@
     FCountUserLinks:=0;
     Node:=FLinks.FindLowest;
     FilterCase:=FilterEdit.Text;
-    if FilterCase=lisCEFilter then FilterCase:='';
     FilterLo:=UTF8LowerCase(FilterCase);
     while Node<>nil do begin
       Link:=TPkgLinkInfo(Node.Data);
@@ -389,8 +374,12 @@
       s:=lrsPLDInvalid;
     PkgStringGrid.Cells[4,i]:=s;
     PkgStringGrid.Cells[5,i]:=Link.EffectiveFilename;
-    PkgStringGrid.Cells[6,i]:=DateTimeToStr(Link.LastUsed);
 
+    if Link.LastUsed=0 then
+      PkgStringGrid.Cells[6,i]:= '?'
+    else
+      PkgStringGrid.Cells[6,i]:= DateTimeToStr(Link.LastUsed);
+
     inc(i);
   end;
   
dif.diff (7,595 bytes)

Alexey Tor.

2015-05-10 17:00

reporter   ~0083548

Last edited: 2015-05-10 17:01

View 2 revisions

new patch. hide border of btm pane. make show "?" for date 0. make TextHint. make Grid scrollbr drag enabled. made spacing 6pix around for top pane.

Juha Manninen

2015-05-26 13:14

developer   ~0084009

Last edited: 2015-05-26 13:15

View 2 revisions

I applied the patch in r49174. Thanks.
The patch looks good and safe. Only the "?" char for a date value "0" may not be ideal. Surely it is better than "xx.xx.1899" but it could also be "undefined" or "unknown" or "invalid" or something.
Opinions?

Alexey Tor.

2015-05-26 13:25

reporter   ~0084010

Hm, ? is just shorter for "undefined",simpler... the same

wp

2015-05-26 15:10

developer   ~0084015

From what I saw in my Package links dialog I think the correct word would be "never".

Juha Manninen

2015-05-26 18:51

developer   ~0084018

Perfect, I changed it to "Never". There was even a resource string for it which I now reused.
Thanks.

Issue History

Date Modified Username Field Change
2015-03-26 00:05 Alexey Tor. New Issue
2015-03-26 00:05 Alexey Tor. File Added: dif-in.diff
2015-03-26 14:24 Maxim Ganetsky Assigned To => Mattias Gaertner
2015-03-26 14:24 Maxim Ganetsky Status new => assigned
2015-03-26 14:24 Maxim Ganetsky Relationship added related to 0027733
2015-05-08 01:51 Maxim Ganetsky Relationship added related to 0027652
2015-05-08 01:58 Maxim Ganetsky Note Added: 0083519
2015-05-08 02:02 Maxim Ganetsky Relationship replaced has duplicate 0027733
2015-05-10 16:59 Alexey Tor. File Added: dif.diff
2015-05-10 17:00 Alexey Tor. Note Added: 0083548
2015-05-10 17:01 Alexey Tor. Note Edited: 0083548 View Revisions
2015-05-26 12:05 Juha Manninen Assigned To Mattias Gaertner => Juha Manninen
2015-05-26 13:14 Juha Manninen LazTarget => -
2015-05-26 13:14 Juha Manninen Note Added: 0084009
2015-05-26 13:14 Juha Manninen Status assigned => feedback
2015-05-26 13:15 Juha Manninen Note Edited: 0084009 View Revisions
2015-05-26 13:25 Alexey Tor. Note Added: 0084010
2015-05-26 13:25 Alexey Tor. Status feedback => assigned
2015-05-26 15:10 wp Note Added: 0084015
2015-05-26 18:51 Juha Manninen Fixed in Revision => r49174, r49180
2015-05-26 18:51 Juha Manninen Note Added: 0084018
2015-05-26 18:51 Juha Manninen Status assigned => resolved
2015-05-26 18:51 Juha Manninen Resolution open => fixed